com.verisign.epp.framework

## Class EPPAssemblerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.verisign.epp.exception.EPPException
      - - com.verisign.epp.framework.EPPAssemblerException

- All Implemented Interfaces:
    java.io.Serializable

      public class EPPAssemblerException
      extends EPPException

  The EPPAssemblerException defines a set of possible exceptions that can be thrown from an `EPPAssembler`. Static instances of EPPAssemblerExceptions are defined here and should be used by clients of this class. As a general guideline, there is a unique `EPPAssemblerException` associated with each concrete `EPPAssembler` class.
  See Also:
    `EPPException`, `EPPAssembler`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EPPAssemblerException` | `CLOSECON` The typesafe constant CLOSECON defines the instance of EPPAssemblerException that should be thrown for Intrupted Read/Write (timed out).
    `static EPPAssemblerException` | `COMMANDNOTFOUND` The typesafe constant COMMANDNOTFOUND defines the instance of EPPAssemblerException that should be thrown when a command component can not be found.
    `static EPPAssemblerException` | `EXTENSIONNOTFOUND` The typesafe constant EXTENSIONOTFOUND defines the instance of EPPAssemblerException that should be thrown when a extension component can not be found.
    `static EPPAssemblerException` | `FATAL` The typesafe constant FATAL defines the instance of EPPAssemblerException that should be thrown for fatal client session errors.
    `static EPPAssemblerException` | `INTRUPTEDIO` The typesafe constant INTRUPTEDIO defines the instance of EPPAssemblerException that should be thrown for Intrupted Read/Write (timed out).
    `static EPPAssemblerException` | `MISSINGPARAMETER` The typesafe constant MISSINGPARAMETER defines the instance of EPPAssemblerException that should be thrown for missing input parameters.
    `static EPPAssemblerException` | `RESPONSENOTFOUND` The typesafe constant RESPONSENOTFOUND defines the instance of EPPAssemblerException that should be thrown when a response component can not be found.
    `static EPPAssemblerException` | `XML` The typesafe constant XML defines the instance of EPPAssemblerException that should be thrown from an XMLAssembler

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPAssemblerException(java.lang.String aInfo, EPPAssemblerException ex)` Constructs a new `EPPAssemblerException` instance
    `EPPAssemblerException(java.lang.String aInfo, EPPAssemblerException ex, boolean isFatal)` Constructs a new `EPPAssemblerException` instance with a fatal indicator parameter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Returns true if two `EPPAssemblerException` instances are equal.
    `boolean` | `isFatal()` Is the exception fatal for the client session?

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### XML

          public static final EPPAssemblerException XML

      The typesafe constant XML defines the instance of EPPAssemblerException that should be thrown from an XMLAssembler

    - #### FATAL

          public static final EPPAssemblerException FATAL

      The typesafe constant FATAL defines the instance of EPPAssemblerException that should be thrown for fatal client session errors.

    - #### INTRUPTEDIO

          public static final EPPAssemblerException INTRUPTEDIO

      The typesafe constant INTRUPTEDIO defines the instance of EPPAssemblerException that should be thrown for Intrupted Read/Write (timed out).

    - #### CLOSECON

          public static final EPPAssemblerException CLOSECON

      The typesafe constant CLOSECON defines the instance of EPPAssemblerException that should be thrown for Intrupted Read/Write (timed out).

    - #### MISSINGPARAMETER

          public static final EPPAssemblerException MISSINGPARAMETER

      The typesafe constant MISSINGPARAMETER defines the instance of EPPAssemblerException that should be thrown for missing input parameters.

    - #### COMMANDNOTFOUND

          public static final EPPAssemblerException COMMANDNOTFOUND

      The typesafe constant COMMANDNOTFOUND defines the instance of EPPAssemblerException that should be thrown when a command component can not be found.

    - #### RESPONSENOTFOUND

          public static final EPPAssemblerException RESPONSENOTFOUND

      The typesafe constant RESPONSENOTFOUND defines the instance of EPPAssemblerException that should be thrown when a response component can not be found.

    - #### EXTENSIONNOTFOUND

          public static final EPPAssemblerException EXTENSIONNOTFOUND

      The typesafe constant EXTENSIONOTFOUND defines the instance of EPPAssemblerException that should be thrown when a extension component can not be found.

  - ### Constructor Detail

    - #### EPPAssemblerException

          public EPPAssemblerException(java.lang.String aInfo,
                                       EPPAssemblerException ex)

      Constructs a new `EPPAssemblerException` instance
      Parameters:
        `aInfo` - Information that can be included with the `EPPAssemblerException`
        `ex` - An instance of an `EPPAssemblerException`. This should be one of the static instaces defined in `EPPAssemblerException`.

    - #### EPPAssemblerException

          public EPPAssemblerException(java.lang.String aInfo,
                                       EPPAssemblerException ex,
                                       boolean isFatal)

      Constructs a new `EPPAssemblerException` instance with a fatal indicator parameter.
      Parameters:
        `aInfo` - Information that can be included with the `EPPAssemblerException`
        `ex` - An instance of an `EPPAssemblerException`. This should be one of the static instaces defined in `EPPAssemblerException`.
        `isFatal` - Is the exception fatal for the client session?

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Returns true if two `EPPAssemblerException` instances are equal.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - DOCUMENT ME!
      Returns:
        boolean True if the two `EPPAssemblerException` have the same value.

    - #### isFatal

          public boolean isFatal()

      Is the exception fatal for the client session?
      Returns:
        `true` if is fatal; `false` otherwise.